edu.isi.pegasus.planner.code.generator.condor.style

## Class CondorGlideIN

- java.lang.Object
- - edu.isi.pegasus.planner.code.generator.condor.style.Abstract
  - - edu.isi.pegasus.planner.code.generator.condor.style.CondorGlideIN

All Implemented Interfaces:
  CondorStyle

    public class CondorGlideIN
    extends Abstract

Enables a job to be submitted to nodes that are logically part of the local pool, but physically are not. This style is applied for jobs to be run - on the nodes that have been glided into the local pool - on the nodes that have been flocked to the local pool (NOT TESTED)

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `STYLE_NAME` The name of the style being implemented.

### Fields inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Abstract

`mCredentialFactory, mLogger, mProps, mSiteStore`

### Fields inherited from interface edu.isi.pegasus.planner.code.generator.condor.CondorStyle

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`CondorGlideIN()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(Job job)` Applies the style to the job to be run in a condor glide in environment.

### Methods inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Abstract

`apply, applyCredentialsForJobSubmission, applyCredentialsForLocalExec, applyCredentialsForRemoteExec, complainForCredential, errorMessage, initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STYLE_NAME

    public static final java.lang.String STYLE_NAME

The name of the style being implemented.

See Also:
  Constant Field Values

### Constructor Detail

#### CondorGlideIN

    public CondorGlideIN()

The default constructor.

### Method Detail

#### apply

    public void apply(Job job)
               throws CondorStyleException

Applies the style to the job to be run in a condor glide in environment. condor style to the job. Changes the job so that it results in generation of a submit file that can be directly submitted to the underlying condor scheduler on the submit host, without going through CondorG and the jobs run only on the nodes that have been glided in from a particular remote pool. Please note that GlideIn only works if all the application jobs are being run via kickstart, as it relies heavily on the ability of the launcher to change the directory before running the application job on the remote end. This applies to the case of - nodes glided in to a local pool - jobs flocking to remote pools?

Parameters:
  `job` - the job on which the style needs to be applied.
Throws:
  `CondorStyleException` - in case of any error occuring code generation.